Subject: [rbridge] Ingress Rbridge address and BCN - 2nd Issue

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Fri, 27 Oct 2006 18:52:28 -0400

Caitlin,

	At this point I have completely lost the thread of what 
you're talking about.  Are you assuming that it is okay for a
"core Rbridge" to literally return the frame that triggers a
BCN to the ingress RBridge that introduced it, and that this
RBridge is then responsible for generating a BCN and acting as
an egress for the BCN?

	As I understand it, that's asking an awful lot of the 
ingress RBridge.

--
Eric

--> -----Original Message-----
--> From: Caitlin Bestler [mailto:caitlinb at broadcom.com] 
--> Sent: Friday, October 27, 2006 5:55 PM
--> To: Larry Kreeger (kreeger); Gray, Eric
--> Cc: rbridge at postel.org
--> Subject: RE: [rbridge] Ingress Rbridge address and BCN - 2nd Issue
--> 
--> Larry Kreeger, responding to Eric Gray, wrote:
--> >> 
--> >> 1) Flooding will only occur when a specific RBridge has 
--> removed (due
--> >> to aging, for example), or failed to retain, an entry it
--> >> subsequently needs. This kind of flooding could occur in any case
--> >> (although it might involve a smaller subset of the 
--> entire network).
--> > 
--> > I understand that this will occur when an edge RBridge does
--> > not have an entry, but I assume that this will be a fairly
--> > rare condition.  Also, I am expecting the number of flows
--> > through an edge RBridge to be much less than throught a core
--> > RBridge, such that the number of MAC addresses entries needed
--> > would be much less at an edge RBridge.  If a core RBridge did
--> > not have a larger table, then it could get easily filled
--> > which would require flooding of the BCNs much more than would
--> > occur naturally at an edge RBridge.
--> > 
--> More fundamentally, the egress rbridge will in most case also
--> encapsulate the reverse-bound frames, and so will have had a 
--> reason to note the mac->rbridge mapping in the first place.
--> A "core rbridge" would not have forgotten the mapping, it would
--> have never looked for it in the first place. Table size is 
--> irrelevant.
--> 
--> 
--> 
-->

---

From: caitlinb at broadcom.com (Caitlin Bestler)
Date: Fri, 27 Oct 2006 15:56:55 -0700

Gray, Eric wrote:
> RBridge is then responsible for generating a BCN and acting as an
> egress for the BCN? 
> 

But that functionality would clearly be required for an 802.1au
compliant RBridge, because it could receive a BCN from an
802.1au [non-R]bridge.

Clearly it would be undesirable for the 802.1au rbridge to act
as the edge of the congestion domain -- it SHOULD (perhaps MUST)
forward the BCN to the true source. The rbridge itself is not
well suited to adjust the source in a dropless fashion.